"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const declareConstructor_1 = require("./code-fix/declareConstructor");
const declareVariable_1 = require("./code-fix/declareVariable");
const declareClass_1 = require("./code-fix/declareClass");
const const2let_1 = require("./code-fix/const2let");
const nameFunction_1 = require("./code-fix/nameFunction");
const declareReturnType_1 = require("./code-fix/declareReturnType");
const declareMember_1 = require("./code-fix/declareMember");
const addReturnStatement_1 = require("./code-fix/addReturnStatement");
const implementInterfaceObjectLiteral_1 = require("./code-fix/implementInterfaceObjectLiteral");
const implementInterfaceMember_1 = require("./code-fix/implementInterfaceMember");
const variableRename_1 = require("./code-fix/variableRename");
const splitVariableDeclarationList_1 = require("./code-fix/splitVariableDeclarationList");
const toNamedParams_1 = require("./code-fix/toNamedParams");
exports.codeFixes = [declareConstructor_1.codeFixCreateConstructor, declareVariable_1.codeFixCreateVariable, declareClass_1.declareClass, const2let_1.const2let, nameFunction_1.nameFunction, implementInterfaceObjectLiteral_1.implementInterfaceObjectLiteral, declareReturnType_1.declareReturnType, declareMember_1.declareMember, addReturnStatement_1.addReturnStatement, implementInterfaceMember_1.implementInterfaceMember, variableRename_1.renameVariable, splitVariableDeclarationList_1.splitVariableDeclarationList, toNamedParams_1.toNamedParameters];
//# sourceMappingURL=codeFixes.js.map